WordPress.org

Support

Support » Plugins and Hacks » [Resolved] [Plugin: WP Document Revisions] 1.3.3 error with GitHub

[Resolved] [Plugin: WP Document Revisions] 1.3.3 error with GitHub

Viewing 2 replies - 1 through 2 (of 2 total)
  • Hey Jay,

    In case you’re still having problems with this, it seems like the (tagged) build in the official WordPress plugin repo isn’t quite the same as the 1.3.3 tagged version in github:

    $ diff -r benbalter-WP-Document-Revisions-5bdbf54/ wp-document-revisions/
    Only in benbalter-WP-Document-Revisions-5bdbf54/: .gitmodules
    Only in wp-document-revisions/: menu-icon.png
    Only in wp-document-revisions/tests: test-file-2.txt
    Only in wp-document-revisions/tests: test-file.txt
    Only in wp-document-revisions/tests/wordpress-tests: all.php
    Only in wp-document-revisions/tests/wordpress-tests: bootstrap.php
    Only in wp-document-revisions/tests/wordpress-tests: documents
    Only in wp-document-revisions/tests/wordpress-tests: functions.php
    Only in wp-document-revisions/tests/wordpress-tests: phpunit.xml
    Only in wp-document-revisions/tests/wordpress-tests: test_document_front_end.php
    Only in wp-document-revisions/tests/wordpress-tests: test_document_revisions.php
    Only in wp-document-revisions/tests/wordpress-tests: test_document_rewrites.php
    Only in wp-document-revisions/tests/wordpress-tests: wordpress-tests

    I was receiving the same error message you saw when trying to add wp-content/plugins/wp-document-revisions/ to my project’s git repo after installing it through the WordPress interface. After replacing the downloaded version with an extracted tar of 1.3.3 from Github the plugin was added to my git repo as expected.

    Hope this helps.

    Plugin Author Ben Balter

    @benbalter

    The issue is that when checking out to your machine, the submodule was not properly initialized.

    WordPress tests will not be included in future versions, and the develop branch on GitHub should resolve this issue. Look for a stable version pushed soon. Sorry for the trouble.

Viewing 2 replies - 1 through 2 (of 2 total)
  • The topic ‘[Resolved] [Plugin: WP Document Revisions] 1.3.3 error with GitHub’ is closed to new replies.